openSUSE Security Update : squid (openSUSE-SU-2014:1144-1)

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update fixes the following security issues and bugs with squid :

A denial of Service in Range header processing was fixed that could be
used by proxy users to crash squid. (CVE-2014-3609)

Also the following bugs were fixed :

- bnc#894840: removed unnecessary 'sharedscripts' in
squid's logrotate snippet

- bnc#894636: fixes run of init script when logrotate is
called

See also :

http://lists.opensuse.org/opensuse-updates/2014-09/msg00029.html
https://bugzilla.novell.com/show_bug.cgi?id=893649
https://bugzilla.novell.com/show_bug.cgi?id=894636
https://bugzilla.novell.com/show_bug.cgi?id=894840

Solution :

Update the affected squid packages.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P)
CVSS Temporal Score : 4.3
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : true

Family: SuSE Local Security Checks

Nessus Plugin ID: 77777 ()

Bugtraq ID: 69453

CVE ID: CVE-2014-3609

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now